Bug 459631 - Review Request: insight - GDB debugger GUI
Review Request: insight - GDB debugger GUI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 14:28 EDT by Patrick Monnerat
Modified: 2008-10-20 18:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 09:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2008-08-20 14:28:51 EDT
Spec URL: http://www.etude-riondel.ch/pm/insight.spec
SRPM URL: http://www.etude-riondel.ch/pm/insight-6.8-1.fc8.src.rpm

Description: Insight is the well known GDB GUI from cygnus/redhat. It is a tight graphical user interface to GDB written in Tcl/Tk. It provides a comprehensive interface that enables users to harness most of GDB's power. It's also probably the only up-to-date UI for GDB version 6.x.

I've mocked it successfully on rawhide i386.
rpmlint on spec, srpm and rpms: no errors, no warnings.
 
This is not my first package, but I still need a sponsor for review request no 452901.
Comment 1 Dominik 'Rathann' Mierzejewski 2008-08-20 15:21:09 EDT
FYI, "Insight" is not a very good name because there already exists a biomolecular modelling software from Accelrys called "Insight II". Also, "Insight" and "Insight II" are registered trademarks: http://tess2.uspto.gov/bin/showfield?f=doc&state=ib0gn2.4.25 http://tess2.uspto.gov/bin/showfield?f=doc&state=ib0gn2.4.18
Comment 2 Patrick Monnerat 2008-08-20 15:47:18 EDT
Good links... I did not know this chemical software !
However this is the cygwin's program name for years (it used to be called "gdbtk"), and is now owned (under this name) by... RedHat :) It is part of the cygwin's "gdb" package.

Debian has kept the name: http://packages.debian.org/lenny/insight

I'm not against renaming it, but how ?
gdbtk ? gdb-insight ? rhinsight ? ... ?
And do we rename the /usr/bin/insight command too ?
Wouldn't it confuse the user ?
Is it a potential RH legal problem ?
Comment 3 Dominik 'Rathann' Mierzejewski 2008-08-20 17:10:09 EDT
One more link:
http://accelrys.com/products/additional-products.html (Scroll down to "Rational and Structure-Based Drug Design")
While Insight II is being phased out in favour of Discovery Studio, it is still widely used (for example at my workplace, which is why this review request caught my eye).

(In reply to comment #2)
> Good links... I did not know this chemical software !
> However this is the cygwin's program name for years (it used to be called
> "gdbtk"), and is now owned (under this name) by... RedHat :) It is part of the
> cygwin's "gdb" package.

Yes, I know and I'm surprised this hasn't come up even on their own mailing lists.

> Debian has kept the name: http://packages.debian.org/lenny/insight
> 
> I'm not against renaming it, but how ?

I'm not saying it has to be renamed. I'm just pointing to a potential issue. :)

> gdbtk ? gdb-insight ? rhinsight ? ... ?
> And do we rename the /usr/bin/insight command too ?
> Wouldn't it confuse the user ?
> Is it a potential RH legal problem ?

That's what I'd like to know. I've blocked FE-Legal here and mentioned this to spot.
Comment 4 Tom "spot" Callaway 2008-09-02 12:05:39 EDT
RH Legal is looking into this one.
Comment 5 Tom "spot" Callaway 2008-09-03 11:14:40 EDT
There is no need to rename this, the Insight chemical software is different enough from a debugger GUI such that there should be no concern of trademark infringement. Lifting FE-Legal.
Comment 6 Mamoru TASAKA 2008-10-07 14:04:32 EDT
I just tried to rebuild this but rebuild fails on x86_64 (at least):
http://koji.fedoraproject.org/koji/taskinfo?taskID=864317

By the way the binary name "insight" may be too generic and
some other reviewers may complain...
Comment 7 Patrick Monnerat 2008-10-08 15:20:32 EDT
I uploaded a new version:
http://www.etude-riondel.ch/pm/insight.spec
http://www.etude-riondel.ch/pm/insight-6.8-2.fc8.src.rpm

I tried to cross-mock it for fedora-devel-x86_64 on a i386, without success (missing basic dependencies at yum time). Perhaps there is a trick I did not find on the web/forums....?

The new version fixes what seems to be the problem on x86_64... but I can't check it without the access to a 64bit machine and without knowing the above mentioned trick, if it exists.

It also uses the system-installed "readline" and uses "expat".

Mocks for i386.
No rpmlint report.
Runs on i386 fc8.

For the binary name, the question is the same as for the package name (see comment #2). Cygwin developers know it as such, and Debian has kept it unchanged. I also fear CLI users will be puzzled by another name. If you really want to change it, do you have any naming proposals ?

Thanks for your time
Comment 8 Dominik 'Rathann' Mierzejewski 2008-10-08 15:45:08 EDT
(In reply to comment #7)
> I uploaded a new version:
> http://www.etude-riondel.ch/pm/insight.spec
> http://www.etude-riondel.ch/pm/insight-6.8-2.fc8.src.rpm
> 
> I tried to cross-mock it for fedora-devel-x86_64 on a i386, without success
> (missing basic dependencies at yum time). Perhaps there is a trick I did not
> find on the web/forums....?

You can't do that. You need an x86_64 machine. If you were already a Fedora packager, you could use koji --build file.src.rpm.

> The new version fixes what seems to be the problem on x86_64... but I can't
> check it without the access to a 64bit machine and without knowing the above
> mentioned trick, if it exists.

I'm sure the reviewer will check that.

[...]
> For the binary name, the question is the same as for the package name (see
> comment #2). Cygwin developers know it as such, and Debian has kept it
> unchanged. I also fear CLI users will be puzzled by another name. If you really
> want to change it, do you have any naming proposals ?

FWIW, I'm pretty sure the binary name is OK.
Comment 9 Mamoru TASAKA 2008-10-09 10:35:25 EDT
(In reply to comment #7)
> I uploaded a new version:
> http://www.etude-riondel.ch/pm/insight.spec
> http://www.etude-riondel.ch/pm/insight-6.8-2.fc8.src.rpm

Unfortunately the build still fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=869104

Note that as I am sponsoring you now, you can try to rebuild your srpm
on koji as below:

$ koji build --scratch <target> <srpm_you_want_to_try>

where currently <target> can be "dist-f11" "dist-f10" "dist-f9-updates-candidate"
or "dist-f8-updates-candidate".
If the build is successful, the rebuilt binary rpms and some logs are saved
(for about one week under)
http://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<task_id>/
Comment 10 Patrick Monnerat 2008-10-09 14:35:42 EDT
Found the problem: was related to hardcoded "lib" instead of "${libdir}" in autoconf macros.

Please find the new version:
http://www.etude-riondel.ch/pm/insight.spec
http://www.etude-riondel.ch/pm/insight-6.8-3.fc8.src.rpm

Successful build in koji dist-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=871731
Comment 11 Mamoru TASAKA 2008-10-12 11:35:50 EDT
Well,

* Desktop Categories
  - The Categories "Application" "X-Fedora" are now deprecated
    and should be removed.
    (To remove "Application", you can add "--remove-category=Application"
     option to desktop-file-utils)

* Timestamps
  - Please consider to use
---------------------------------------------------------
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"
---------------------------------------------------------
    to keep timestamps on files to be installed as much
    as possible.
    This method usually works for Makefiles generated by 
    recent autotools.

! Other things are okay
- license correct (GPLv3+)
- builds successfully, build log good
- spec description good
- can be installed
- _seems_ to work

---------------------------------------------------------
   This package (insight) is APPROVED by mtasaka
---------------------------------------------------------
Comment 12 Patrick Monnerat 2008-10-13 12:07:03 EDT
New version applying comment #11 suggestions:
http://www.etude-riondel.ch/pm/insight.spec
http://www.etude-riondel.ch/pm/insight-6.8-3.fc8.src.rpm

Will publish this one.

Thanks for your review, Mamoru.
Comment 13 Patrick Monnerat 2008-10-13 12:10:55 EDT
Correction: new version SRPM is at http://www.etude-riondel.ch/pm/insight-6.8-4.fc8.src.rpm
Comment 14 Patrick Monnerat 2008-10-13 12:15:06 EDT
New Package CVS Request
=======================
Package Name: insight
Short Description: Graphical debugger based on GDB
Owners: monnerat
Branches: F-8 F-9 F-10
InitialCC:
Comment 15 Huzaifa S. Sidhpurwala 2008-10-15 01:52:25 EDT
cvs done
Comment 16 Fedora Update System 2008-10-15 06:39:39 EDT
insight-6.8-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/insight-6.8-4.fc9
Comment 17 Fedora Update System 2008-10-15 06:39:44 EDT
insight-6.8-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/insight-6.8-4.fc8
Comment 18 Mamoru TASAKA 2008-10-15 09:00:19 EDT
Thanks, now closing.
Comment 19 Lubomir Rintel 2008-10-16 14:44:08 EDT
Package Change Request
======================
Package Name: insight
New Branches: EL-5
New branch owner: lkundrak

Patrick Monnerat agreed to branching for EPEL by mail.
Comment 20 Kevin Fenzi 2008-10-19 19:04:22 EDT
cvs done.
Comment 21 Fedora Update System 2008-10-20 16:27:31 EDT
insight-6.8-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2008-10-20 18:10:52 EDT
insight-6.8-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.